Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.network
Class EntitySpawnPacket

    java.lang.Object
      cpw.mods.fml.common.network.FMLPacket
          cpw.mods.fml.common.network.EntitySpawnPacket

    public class EntitySpawnPacket

extends FMLPacket

Field Summary
`com.google.common.io.ByteArrayDataInput` | `dataStream`
`int` | `entityId`
`List` | `metadata`
`int` | `modEntityId`
`int` | `networkId`
`int` | `rawX`
`int` | `rawY`
`int` | `rawZ`
`float` | `scaledHeadYaw`
`float` | `scaledPitch`
`double` | `scaledX`
`double` | `scaledY`
`float` | `scaledYaw`
`double` | `scaledZ`
`double` | `speedScaledX`
`double` | `speedScaledY`
`double` | `speedScaledZ`
`int` | `throwerId`

Constructor Summary
`EntitySpawnPacket()`

Method Summary
`FMLPacket` | `consumePacket(byte[] data)`
`void` | `execute(INetworkManager network, FMLNetworkHandler handler, NetHandler netHandler, String userName)`
`byte[]` | `generatePacket(Object... data)`

Methods inherited from class cpw.mods.fml.common.network.FMLPacket
`makePacket, makePacketSet, readPacket`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### networkId

    public int networkId

### modEntityId

    public int modEntityId

### entityId

    public int entityId

### scaledX

    public double scaledX

### scaledY

    public double scaledY

### scaledZ

    public double scaledZ

### scaledYaw

    public float scaledYaw

### scaledPitch

    public float scaledPitch

### scaledHeadYaw

    public float scaledHeadYaw

### metadata

    public List metadata

### throwerId

    public int throwerId

### speedScaledX

    public double speedScaledX

### speedScaledY

    public double speedScaledY

### speedScaledZ

    public double speedScaledZ

### dataStream

    public com.google.common.io.ByteArrayDataInput dataStream

### rawX

    public int rawX

### rawY

    public int rawY

### rawZ

    public int rawZ

Constructor Detail

### EntitySpawnPacket

    public EntitySpawnPacket()

Method Detail

### generatePacket

    public byte[] generatePacket(Object... data)

  Specified by:
    `generatePacket` in class `FMLPacket`

### consumePacket

    public FMLPacket consumePacket(byte[] data)

  Specified by:
    `consumePacket` in class `FMLPacket`

### execute

    public void execute(INetworkManager network,
                        FMLNetworkHandler handler,
                        NetHandler netHandler,
                        String userName)

  Specified by:
    `execute` in class `FMLPacket`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD